# Class BasicBorders

java.lang.Object
javax.swing.plaf.basic.BasicBorders

public class BasicBorders extends Object
Factory object that can vend Borders appropriate for the basic L & F.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BasicBorders.ButtonBorder`
Draws a border around a button.
`static class`
`BasicBorders.FieldBorder`
Draws the border around a field.
`static class`
`BasicBorders.MarginBorder`
Draws the border around components which support margins.
`static class`
`BasicBorders.MenuBarBorder`
Draws the border around a menu bar.
`static class`
`BasicBorders.RadioButtonBorder`
Draws the border around a radio button.
`static class`
`BasicBorders.RolloverButtonBorder`
Special thin border for rollover toolbar buttons.
`static class`
`BasicBorders.SplitPaneBorder`
Draws the border around the splitpane.
`static class`
`BasicBorders.ToggleButtonBorder`
Draws the border around a toggle button.

## Constructor Summary

Constructors
Constructor
Description
`BasicBorders()`
Constructs a `BasicBorders`.

## Method Summary

Modifier and Type
Method
Description
`static Border`
`getButtonBorder()`
Returns a border instance for a `JButton`.
`static Border`
`getInternalFrameBorder()`
Returns a border instance for a `JInternalFrame`.
`static Border`
`getMenuBarBorder()`
Returns a border instance for a `JMenuBar`.
`static Border`
`getProgressBarBorder()`
Returns a border instance for a `JProgressBar`.
`static Border`
`getRadioButtonBorder()`
Returns a border instance for a `JRadioButton`.
`static Border`
`getSplitPaneBorder()`
Returns a border instance for a `JSplitPane`.
`static Border`
`getSplitPaneDividerBorder()`
Returns a border instance for a `JSplitPane` divider.
`static Border`
`getTextFieldBorder()`
Returns a border instance for a `JTextField`.
`static Border`
`getToggleButtonBorder()`
Returns a border instance for a `JToggleButton`.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### BasicBorders

public BasicBorders()
Constructs a `BasicBorders`.

## Method Details

### getButtonBorder

public static Border getButtonBorder()
Returns a border instance for a `JButton`.

Returns:
  a border instance for a `JButton`

### getRadioButtonBorder

public static Border getRadioButtonBorder()
Returns a border instance for a `JRadioButton`.

Returns:
  a border instance for a `JRadioButton`

### getToggleButtonBorder

public static Border getToggleButtonBorder()
Returns a border instance for a `JToggleButton`.

Returns:
  a border instance for a `JToggleButton`

### getMenuBarBorder

public static Border getMenuBarBorder()
Returns a border instance for a `JMenuBar`.

Returns:
  a border instance for a `JMenuBar`

### getSplitPaneBorder

public static Border getSplitPaneBorder()
Returns a border instance for a `JSplitPane`.

Returns:
  a border instance for a `JSplitPane`

### getSplitPaneDividerBorder

public static Border getSplitPaneDividerBorder()
Returns a border instance for a `JSplitPane` divider.

Returns:
  a border instance for a `JSplitPane` divider
Since:
  1.3

### getTextFieldBorder

public static Border getTextFieldBorder()
Returns a border instance for a `JTextField`.

Returns:
  a border instance for a `JTextField`

### getProgressBarBorder

public static Border getProgressBarBorder()
Returns a border instance for a `JProgressBar`.

Returns:
  a border instance for a `JProgressBar`

### getInternalFrameBorder

public static Border getInternalFrameBorder()
Returns a border instance for a `JInternalFrame`.

Returns:
  a border instance for a `JInternalFrame`